%global srcname alpa-conf


Name:           python-%{srcname}
Version:        0.3.2
Release:        1.20230404092208989713.main.2.gebaddeb%{?dist}
Summary:        Wrapper around configuration files for packit and alpa

License:        GPLv3
URL:            https://github.com/alpa-team/%{srcname}
Source0:        alpa-conf-0.3.2.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-pyyaml


%description
%{summary}


%package -n     python3-%{srcname}
Summary:        %{summary}


%description -n python3-%{srcname}
%{summary}


%prep
%autosetup -p1 -n alpa-conf-0.3.2


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files alpa_conf


%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Tue Apr 4 2023 Packit <hello@packit.dev> - 0.3.2-1.20230404092208989713.main.2.gebaddeb
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])

* Fri Mar 24 2023 Jiri Kyjovsky <j1.kyjovsky@gmail.com> - 0.1.0-1
- Initial package
